Package com.smartgwt.client.types

# Enum State

java.lang.Object
java.lang.Enum<State>
com.smartgwt.client.types.State

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<State>`, `Constable`

public enum State extends Enum<State> implements ValueEnum
Constants for the standard states for a StatefulCanvas.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STATE_DISABLED`
  disabled
  `STATE_DOWN`
  state when mouse is down
  `STATE_OVER`
  state when mouse is over
  `STATE_UP`
  state when mouse is not acting on this StatefulCanvas

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATE_UP

    public static final State STATE_UP
    state when mouse is not acting on this StatefulCanvas

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "".

  - ### STATE_DOWN

    public static final State STATE_DOWN
    state when mouse is down

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Down".

  - ### STATE_OVER

    public static final State STATE_OVER
    state when mouse is over

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Over".

  - ### STATE_DISABLED

    public static final State STATE_DISABLED
    disabled

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Disabled".

- ## Method Details

  - ### values

    public static State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`